Loading...
Searching...
No Matches
Magick::Montage Class Reference
Inheritance diagram for Magick::Montage:

## Public Member Functions

void | backgroundColor (const Color &backgroundColor_)
Color | backgroundColor (void) const
void | compose (CompositeOperator compose_)
CompositeOperator | compose (void) const
void | fileName (const std::string &fileName_)
std::string | fileName (void) const
void | fillColor (const Color &fill_)
Color | fillColor (void) const
void | font (const std::string &font_)
std::string | font (void) const
void | geometry (const Geometry &geometry_)
Geometry | geometry (void) const
void | gravity (GravityType gravity_)
GravityType | gravity (void) const
void | label (const std::string &label_)
std::string | label (void) const
void | pointSize (size_t pointSize_)
size_t | pointSize (void) const
void | shadow (bool shadow_)
bool | shadow (void) const
void | strokeColor (const Color &stroke_)
Color | strokeColor (void) const
void | texture (const std::string &texture_)
std::string | texture (void) const
void | tile (const Geometry &tile_)
Geometry | tile (void) const
void | title (const std::string &title_)
std::string | title (void) const
void | transparentColor (const Color &transparentColor_)
Color | transparentColor (void) const
virtual void | updateMontageInfo (MagickCore::MontageInfo &montageInfo_) const

## Private Attributes

Color | _backgroundColor
std::string | _fileName
Color | _fill
std::string | _font
Geometry | _geometry
GravityType | _gravity
std::string | _label
size_t | _pointSize
bool | _shadow
Color | _stroke
std::string | _texture
Geometry | _tile
std::string | _title
Color | _transparentColor

## Detailed Description

Definition at line 24 of file Montage.h.

## Constructor & Destructor Documentation

## Montage()

Magick::Montage::Montage | ( | void |  | ) |

Definition at line 21 of file Montage.cpp.

: _backgroundColor("#ffffff"),
_fileName(),
_fill("#000000ff"),
_font(),
_geometry("120x120+4+3>"),
_gravity(CenterGravity),
_label(),
_pointSize(12),
_shadow(false),
_stroke(),
_texture(),
_tile("6x4"),
_title(),
_transparentColor()
{
}

## ~Montage()

Magick::Montage::~Montage | ( | void |  | ) |

virtual

Definition at line 39 of file Montage.cpp.

{
}

## Member Function Documentation

## backgroundColor() [1/2]

void Magick::Montage::backgroundColor | ( | const Color & | backgroundColor_ | ) |

Definition at line 43 of file Montage.cpp.

{
_backgroundColor=backgroundColor_;
}

## backgroundColor() [2/2]

Magick::Color Magick::Montage::backgroundColor | ( | void |  | ) | const

Definition at line 48 of file Montage.cpp.

{
return(_backgroundColor);
}

## fileName() [1/2]

void Magick::Montage::fileName | ( | const std::string & | fileName_ | ) |

Definition at line 53 of file Montage.cpp.

{
_fileName=fileName_;
}

## fileName() [2/2]

std::string Magick::Montage::fileName | ( | void |  | ) | const

Definition at line 58 of file Montage.cpp.

{
return(_fileName);
}

## fillColor() [1/2]

void Magick::Montage::fillColor | ( | const Color & | fill_ | ) |

Definition at line 63 of file Montage.cpp.

{
_fill=fill_;
}

## fillColor() [2/2]

Magick::Color Magick::Montage::fillColor | ( | void |  | ) | const

Definition at line 68 of file Montage.cpp.

{
return(_fill);
}

## font() [1/2]

void Magick::Montage::font | ( | const std::string & | font_ | ) |

Definition at line 73 of file Montage.cpp.

{
_font=font_;
}

## font() [2/2]

std::string Magick::Montage::font | ( | void |  | ) | const

Definition at line 78 of file Montage.cpp.

{
return(_font);
}

## geometry() [1/2]

void Magick::Montage::geometry | ( | const Geometry & | geometry_ | ) |

Definition at line 83 of file Montage.cpp.

{
_geometry=geometry_;
}

## geometry() [2/2]

Magick::Geometry Magick::Montage::geometry | ( | void |  | ) | const

Definition at line 88 of file Montage.cpp.

{
return(_geometry);
}

## gravity() [1/2]

void Magick::Montage::gravity | ( | Magick::GravityType | gravity_ | ) |

Definition at line 93 of file Montage.cpp.

{
_gravity=gravity_;
}

## gravity() [2/2]

Magick::GravityType Magick::Montage::gravity | ( | void |  | ) | const

Definition at line 98 of file Montage.cpp.

{
return(_gravity);
}

## label() [1/2]

void Magick::Montage::label | ( | const std::string & | label_ | ) |

Definition at line 103 of file Montage.cpp.

{
_label=label_;
}

## label() [2/2]

std::string Magick::Montage::label | ( | void |  | ) | const

Definition at line 108 of file Montage.cpp.

{
return(_label);
}

## pointSize() [1/2]

void Magick::Montage::pointSize | ( | size_t | pointSize_ | ) |

Definition at line 113 of file Montage.cpp.

{
_pointSize=pointSize_;
}

## pointSize() [2/2]

size_t Magick::Montage::pointSize | ( | void |  | ) | const

Definition at line 118 of file Montage.cpp.

{
return(_pointSize);
}

## shadow() [1/2]

void Magick::Montage::shadow | ( | bool | shadow_ | ) |

Definition at line 123 of file Montage.cpp.

{
_shadow=shadow_;
}

## shadow() [2/2]

bool Magick::Montage::shadow | ( | void |  | ) | const

Definition at line 128 of file Montage.cpp.

{
return(_shadow);
}

## strokeColor() [1/2]

void Magick::Montage::strokeColor | ( | const Color & | stroke_ | ) |

Definition at line 133 of file Montage.cpp.

{
_stroke=stroke_;
}

## strokeColor() [2/2]

Magick::Color Magick::Montage::strokeColor | ( | void |  | ) | const

Definition at line 138 of file Montage.cpp.

{
return(_stroke);
}

## texture() [1/2]

void Magick::Montage::texture | ( | const std::string & | texture_ | ) |

Definition at line 143 of file Montage.cpp.

{
_texture=texture_;
}

## texture() [2/2]

std::string Magick::Montage::texture | ( | void |  | ) | const

Definition at line 148 of file Montage.cpp.

{
return(_texture);
}

## tile() [1/2]

void Magick::Montage::tile | ( | const Geometry & | tile_ | ) |

Definition at line 153 of file Montage.cpp.

{
_tile=tile_;
}

## tile() [2/2]

Magick::Geometry Magick::Montage::tile | ( | void |  | ) | const

Definition at line 158 of file Montage.cpp.

{
return(_tile);
}

## title() [1/2]

void Magick::Montage::title | ( | const std::string & | title_ | ) |

Definition at line 163 of file Montage.cpp.

{
_title=title_;
}

## title() [2/2]

std::string Magick::Montage::title | ( | void |  | ) | const

Definition at line 168 of file Montage.cpp.

{
return(_title);
}

## transparentColor() [1/2]

void Magick::Montage::transparentColor | ( | const Color & | transparentColor_ | ) |

Definition at line 173 of file Montage.cpp.

{
_transparentColor=transparentColor_;
}

## transparentColor() [2/2]

Magick::Color Magick::Montage::transparentColor | ( | void |  | ) | const

Definition at line 178 of file Montage.cpp.

{
return(_transparentColor);
}

## updateMontageInfo()

void Magick::Montage::updateMontageInfo | ( | MagickCore::MontageInfo & | montageInfo_ | ) | const

virtual

Definition at line 183 of file Montage.cpp.

{
(void) memset(&montageInfo_,0,sizeof(montageInfo_));
// matte_color
montageInfo_.matte_color=Color();
// background_color
montageInfo_.background_color=_backgroundColor;
// border_color
montageInfo_.border_color=Color();
// border_width
montageInfo_.border_width=0;
// filename
if (_font.length() != 0)
{
_fileName.copy(montageInfo_.filename,MagickPathExtent-1);
montageInfo_.filename[ _fileName.length() ] = 0; // null terminate
}
// fill
montageInfo_.fill=_fill;
// font
if (_font.length() != 0)
Magick::CloneString(&montageInfo_.font,_font);
// geometry
if (_geometry.isValid())
Magick::CloneString(&montageInfo_.geometry,_geometry);
// gravity
montageInfo_.gravity=_gravity;
// pointsize
montageInfo_.pointsize=(double) _pointSize;
// shadow
montageInfo_.shadow=static_cast<MagickBooleanType>
(_shadow ? MagickTrue : MagickFalse);
// signature (validity stamp)
montageInfo_.signature=MagickCoreSignature;
// stroke
montageInfo_.stroke=_stroke;
// texture
if (_texture.length() != 0)
Magick::CloneString(&montageInfo_.texture,_texture);
// tile
if (_tile.isValid())
Magick::CloneString(&montageInfo_.tile,_tile);
// title
if (_title.length() != 0)
Magick::CloneString(&montageInfo_.title,_title);
}

## Field Documentation

## _backgroundColor

Color Magick::Montage::_backgroundColor

private

Definition at line 100 of file Montage.h.

## _fileName

std::string Magick::Montage::_fileName

private

Definition at line 101 of file Montage.h.

## _fill

Color Magick::Montage::_fill

private

Definition at line 102 of file Montage.h.

## _font

std::string Magick::Montage::_font

private

Definition at line 103 of file Montage.h.

## _geometry

Geometry Magick::Montage::_geometry

private

Definition at line 104 of file Montage.h.

## _gravity

GravityType Magick::Montage::_gravity

private

Definition at line 105 of file Montage.h.

## _label

std::string Magick::Montage::_label

private

Definition at line 106 of file Montage.h.

## _pointSize

size_t Magick::Montage::_pointSize

private

Definition at line 107 of file Montage.h.

## _shadow

bool Magick::Montage::_shadow

private

Definition at line 108 of file Montage.h.

## _stroke

Color Magick::Montage::_stroke

private

Definition at line 109 of file Montage.h.

## _texture

std::string Magick::Montage::_texture

private

Definition at line 110 of file Montage.h.

## _tile

Geometry Magick::Montage::_tile

private

Definition at line 111 of file Montage.h.

## _title

std::string Magick::Montage::_title

private

Definition at line 112 of file Montage.h.

## _transparentColor

Color Magick::Montage::_transparentColor

private

Definition at line 113 of file Montage.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Montage.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Montage.cpp